PLaSK library

Loading...
Searching...
No Matches
Public Types | Static Public Member Functions | List of all members
plask::PropertyAtImpl< PropertyTag, Geometry2DCylindrical, Geometry3D, false > Struct Template Reference

`#include <plask/provider/providerfor.hpp>`

Inheritance diagram for plask::PropertyAtImpl< PropertyTag, Geometry2DCylindrical, Geometry3D, false >:
[legend]
Collaboration diagram for plask::PropertyAtImpl< PropertyTag, Geometry2DCylindrical, Geometry3D, false >:
[legend]

## Public Types
typedef PropertyTag::ValueType2D | ValueType
Public Types inherited from plask::PropertyAtDimImpl< PropertyTag, 2, false >
typedef PropertyTag::ValueType2D | ValueType

## Static Public Member Functions
static LazyData< ValueType > | convertLazyData (const LazyData< typename PropertyTag::ValueType3D > &src, const shared_ptr< PointsOnCircleMeshExtend > &mesh)
Static Public Member Functions inherited from plask::PropertyAtDimImpl< PropertyTag, 2, false >
static ValueType | getDefaultValue ()
static LazyData< ValueType > | convertLazyData (const LazyData< ValueType > &src)
template<typename MeshT >
static LazyData< ValueType > | convertLazyData (const LazyData< typename PropertyTag::ValueType3D > &src, const shared_ptr< MeshT > &)

## Detailed Description

template<typename PropertyTag>
struct plask::PropertyAtImpl< PropertyTag, Geometry2DCylindrical, Geometry3D, false >

Definition at line 234 of file providerfor.hpp.

## Member Typedef Documentation

## ◆ ValueType

template<typename PropertyTag >

typedef PropertyTag::ValueType2D plask::PropertyAtImpl< PropertyTag, Geometry2DCylindrical, Geometry3D, false >::ValueType

Definition at line 235 of file providerfor.hpp.

## Member Function Documentation

## ◆ convertLazyData()

template<typename PropertyTag >

static LazyData< ValueType > plask::PropertyAtImpl< PropertyTag, Geometry2DCylindrical, Geometry3D, false >::convertLazyData | ( | const LazyData< typename PropertyTag::ValueType3D > & | src,
|  | const shared_ptr< PointsOnCircleMeshExtend > & | mesh
| ) |  |
| inline static

Definition at line 237 of file providerfor.hpp.

The documentation for this struct was generated from the following file:

- plask/provider/providerfor.hpp